/*
Author: Dirk Kiesewetter
Website: devmainsite.fusionprettens.com, lifeatvictory.com
Date Created: 5/17/22022
Version: 1.0.0

Notes: this CSS is for custom styling of embedded Cognito forms 
on the lifeatvictory & devmainsite websites
*/

/* color variables from main stylesheet for site for reference 
  --color-accents-primary-100: rgba(210, 180, 103, 1);
  --color-backgrounds-black-100: rgba(37, 42, 54, 1);
  --color-backgrounds-white-100: rgba(255, 255, 255, 1);
*/

@font-face {
  font-family: "Gotham Bold";
  src: url("/wp-content/themes/divi-mainsite-child/fonts/Gotham-Bold.otf");
}

/* sets font family for the form */
.cog-cognito {
  --button-primary_font-family: "Gotham Bold";
  font-family: "Gotham Bold";
}

/* hides the required asterisk on embedded forms */
span.cog-asterisk,
.cog-asterisk {
  display: none !important;
}

/* styles button to match lifeatvictory site rebranding */
.cog-button {
  font-family: "Gotham Bold", sans-serif;
  font-size: 0.889rem !important;
  text-transform: uppercase !important;
  font-weight: normal;
  margin: 0 auto !important;
  text-align: center !important;
  min-width: 150px !important;
  padding: 0 !important;
}

span.cog-button__text {
  width: 100%;
  font-family: "Gotham Bold", sans-serif;
  font-size: 0.889rem !important;
  text-transform: uppercase !important;
  padding: 8px 20px !important;
}

:root:root:root:root:root .cog-cognito--styled .cog-button--primary {
  font-family: "Gotham Bold", sans-serif;
  /* dark normal button styling
  background-color: rgba(37, 42, 54, 1) !important;
  color: rgba(255, 255, 255, 1) !important;
  */
  background-color: rgba(255, 255, 255, 1) !important;
  color: rgba(37, 42, 54, 1) !important;
  border-style: solid;
  border-width: 0 0 0.55rem 0;
  border-color: rgba(210, 180, 103, 1);
}

/* removes hover effect from form buttons */
:root:root:root:root:root .cog-cognito--styled .cog-button--primary:hover {
  border-color: rgba(210, 180, 103, 1);
}
